// Hitchin Hackspace Arduino Starter Kit
// https://hackhitchin.org.uk/arduinokit/
// https://wiki.hackhitchin.org.uk/index.php?title=Arduino_Kit#Project:_Breathing_Light
//
// Code Examples
// "Breathing Light"

void setup() {
  // Configure the pin connected to the LED.
  pinMode(6, OUTPUT);
}

void loop() {
  // Run this section repeatedly, with the variable
  // 'i' taking values between 0 and 255, inclusive;
  for (int i = 0; i < 256; i = i + 1) {
    // Change the average output level on the LED's pin
    analogWrite(6, i);
    // Delay for 10 milliseconds each iteration
    // for a total ramp-up time of 2.56 seconds.
    delay(10);
  }
  // Now count downwards from 255 to 0, exclusive.
  for (int i = 254; i > 0; i = i - 1) {
    // Set the average output level of the LED
    analogWrite(6, i);
    // Delay such that the total fade out takes around 2.5
    // seconds.
    delay(10);
  }
  // Execution will now jump back up to the top of 'loop',
  // starting the fade-in again.
}
